export type OptionsElement = {
    value: string;
    selected: boolean;
};
export type OptionHeight = {
    [key: string]: number;
};
export declare const CompDropDownVariants: {
    readonly Primary: "primary";
    readonly SemiOpen: "semi-open";
    readonly Open: "open";
};
export type CompDropDownVariants = (typeof CompDropDownVariants)[keyof typeof CompDropDownVariants];
export declare const CompDropDownSizes: {
    readonly S: "s";
    readonly M: "m";
};
export type CompDropDownSizes = (typeof CompDropDownSizes)[keyof typeof CompDropDownSizes];
export declare const CompDropDownLayout: {
    readonly Horizontal: "horizontal";
    readonly Vertical: "vertical";
};
export type CompDropDownLayout = (typeof CompDropDownLayout)[keyof typeof CompDropDownLayout];
export type CompDropDownProps = {
    options: OptionsElement[];
    variant?: CompDropDownVariants;
    size?: CompDropDownSizes;
    layout?: CompDropDownLayout;
    hasCheckBox?: boolean;
    placeholder?: string;
};
