import { AnimationType } from "@/utils/common/type/common.type";
type AnimationPrefix<T> = T extends string ? `overlay-${T}` : T;
export declare const CompOverlayVariant: {
    readonly Black: "black";
    readonly White: "white";
    readonly Grey: "grey";
    readonly Custom: "custom";
};
export type CompOverlayVariant = (typeof CompOverlayVariant)[keyof typeof CompOverlayVariant];
export declare const CompOverlayTransparencyMode: {
    readonly Opaque: "opaque";
    readonly Linear: "linear";
};
export type CompOverlayTransparencyMode = (typeof CompOverlayTransparencyMode)[keyof typeof CompOverlayTransparencyMode];
export declare const CompOverlayDirection: {
    readonly Top: "top";
    readonly Bottom: "bottom";
    readonly Left: "left";
    readonly Right: "right";
};
export type CompOverlayDirection = (typeof CompOverlayDirection)[keyof typeof CompOverlayDirection];
export declare const CompOverlayButtonType: {
    readonly Default: "default";
    readonly Rounded: "rounded";
};
export type CompOverlayButtonType = (typeof CompOverlayButtonType)[keyof typeof CompOverlayButtonType];
export type AnimationName = AnimationPrefix<AnimationType>;
export type CompOverlayProps = {
    open?: boolean;
    blur?: boolean;
    variant?: CompOverlayVariant;
    transparencyMode?: CompOverlayTransparencyMode;
    direction?: CompOverlayDirection;
    centerContent?: boolean;
    isLightbox?: boolean;
    isFixed?: boolean;
    buttonType?: CompOverlayButtonType;
    closeOnButton?: boolean;
    closeOnClickOutside?: boolean;
    animation?: AnimationType;
    customVariantClasses?: string;
};
export {};
